POST/api/admin/merchants/create

Creation of merchant

This operation allows you to register a new merchant within the system administration environment. The service is only available to authenticated users with associated permissions and requires valid credentials. This operation is mainly used in administrative environments, both test and production, depending on the values provided.

Once created, the merchant is registered in the system with their respective information.

Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Authentication object. See more at Autentication. Structure containing site authentication information generated according to WSSE UsernameToken Profile 1.1.

  • Name
    data
    Type
    object
    is Required
    REQUIRED
    Description

    Main container for merchant data.


Request

POST
/api/admin/merchants/create
curl -X "POST" https://token-requestor.placetopay.ws/api/admin/merchants/create \
-H "Content-Type: application/json" \
-d '{
    "auth": {
        "login": "aabbccdd1234567890aabbccdd123456",
        "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
        "nonce": "MnFrcmZlYjQ0bXk=",
        "seed": "2025-07-03T20:28:43-05:00"
    },
    "data": {
        "name": "ACME Corp",
        "brand": "ACME Corp BRAND",
        "mcc": "0742",
        "websiteURL": "https://acme.com",
        "consumerId": "c4a2ff00-87b2-4cfb-91e5-abc123456789",
        "address": {
            "street": "Direccion del customer",
            "city": "Medellin",
            "state": "belen",
            "country": "CO",
            "phone": "3111111111",
            "zipCode": "050031"
        },
        "document": {
            "type": "NIT",
            "number": "1234567895"
        },
        "legalRepresentative": {
            "documentType": "CC",
            "documentNumber": "1000000000",
            "name": "Jane Doe",
            "surname": "Jane Doe",
            "email": "Jane@Doe",
            "phone": "34455"
        },
        "metadata": {
            "merchantCode": "12345678901",
            "acquirerBIN": "ACQBIN9988776655"
        }
    }
}'

Response

Successful response

  • Name
    status
    Type
    Status
    is optional
    Description

    Structure containing information about a request, indicating its current status.

  • Name
    data
    Type
    object
    is optional
    Description

    Result data


Response

{
    "status": {
        "status": "OK",
        "reason": "00",
        "message": "The request has been successfully processed",
        "date": "2025-07-04T01:58:01+00:00"
    },
    "data": {
        "id": "9f4e7b7e-0fab-43f1-be72-ea13efe2d745"
    }
}

POST/api/admin/merchants/update

Updating of merchant

This operation allows you to modify the attributes of an existing merchant in the administrative environment. It is designed to update only the fields sent in the request, without altering the other merchant values. It is only available to authenticated users with appropriate merchant management permissions.

Each modifiable attribute must be sent within the data object, accompanied by the mandatory id field that identifies the merchant to be updated. The operation is secure and controlled, preventing the modification of unauthorized fields such as merchant or consumer.

Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Authentication object. See more at Autentication. Structure containing site authentication information generated according to WSSE UsernameToken Profile 1.1.

  • Name
    id
    Type
    uuid
    is Required
    REQUIRED
    Description

    Merchant identifier.

    Example:9f5db0db-102a-40f8-a1aa-d7735d9fb50a
    Max length:36
  • Name
    data
    Type
    object
    is Required
    REQUIRED
    Description

    Main container for merchant data.

Request

POST
/api/admin/merchants/update
curl -X "POST" https://token-requestor.placetopay.ws/api/admin/merchants/update \
-H "Content-Type: application/json" \
-d '{
    "auth": {
        "login": "aabbccdd1234567890aabbccdd123456",
        "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
        "nonce": "MnFrcmZlYjQ0bXk=",
        "seed": "2025-07-03T20:28:43-05:00"
    },
    "id": "9f5db0db-102a-40f8-a1aa-d7735d9fb50a",
    "data": {
        "name": "ACME Corp Updated",
        "brand": "ACME Corp BRAND Updated",
        "mcc": "0742",
        "websiteURL": "https://acme-updated.com",
        "address": {
            "street": "Direccion del customer",
            "city": "Medellin",
            "state": "belen",
            "country": "CO",
            "phone": "3111111111",
            "zipCode": "050031"
        },
        "legalRepresentative": {
            "documentType": "CC",
            "documentNumber": "1000000000",
            "name": "Jane Doe",
            "surname": "Jane Doe",
            "email": "Jane@Doe",
            "phone": "34455"
        }
    }
}'

Response

Successful response

  • Name
    status
    Type
    Status
    is optional
    Description

    Structure containing information about a request, indicating its current status.

  • Name
    data
    Type
    object
    is optional
    Description

    Result data


Response

{
    "status": {
        "status": "OK",
        "reason": "00",
        "message": "The request has been successfully processed",
        "date": "2025-07-04T01:58:01+00:00"
    },
    "data": {
        "id": "9f4e7b7e-0fab-43f1-be72-ea13efe2d745"
    }
}

POST/api/admin/merchants/delete

Elimination of merchant

This operation allows you to delete a merchant registered in the administrative environment of the system. It is restricted to authenticated users who have the appropriate permissions for merchant management. Deletion is conditional on its relationship with other resources.

If the merchant has associated sites, the operation will be rejected and the customer will be notified that they cannot proceed with the deletion. Only merchants without sites can be successfully deleted. This operation is irreversible.

Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Authentication object. See more at Autentication. Structure containing site authentication information generated according to WSSE UsernameToken Profile 1.1.

  • Name
    id
    Type
    uuid
    is Required
    REQUIRED
    Description

    Consumer identifier.

    Example:9f5db0db-102a-40f8-a1aa-d7735d9fb50a
    Max length:36

Request

POST
/api/admin/merchants/delete
curl -X "POST" https://token-requestor.placetopay.ws/api/admin/merchants/delete \
-H "Content-Type: application/json" \
-d '{
    "auth": {
        "login": "aabbccdd1234567890aabbccdd123456",
        "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
        "nonce": "MnFrcmZlYjQ0bXk=",
        "seed": "2025-07-03T20:28:43-05:00"
    },
    "id": "9f5db0db-102a-40f8-a1aa-d7735d9fb50a"
}'

Response

Successful response

  • Name
    status
    Type
    Status
    is optional
    Description

    Structure containing information about a request, indicating its current status.


Response

{
    "status": {
        "status": "OK",
        "reason": "00",
        "message": "The request has been successfully processed",
        "date": "2025-07-04T01:58:01+00:00"
    }
}

POST/api/admin/merchants/show

Query of merchant

This operation allows you to query detailed information about a merchant previously registered in the administrative system. It is available exclusively to authenticated users who have access and visibility permissions for the resource.

The response includes basic information about the merchant.

This operation validates that the identifier provided exists and that the requesting user has authorized access to that resource, either through a direct relationship or through ACL exclusion rules.

Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Authentication object. See more at Autentication. Structure containing site authentication information generated according to WSSE UsernameToken Profile 1.1.

  • Name
    id
    Type
    uuid
    is Required
    REQUIRED
    Description

    Merchant identifier.

    Example:9f5db0db-102a-40f8-a1aa-d7735d9fb50a
    Max length:36

Request

POST
/api/admin/merchants/show
curl -X "POST" https://token-requestor.placetopay.ws/api/admin/merchants/show \
-H "Content-Type: application/json" \
-d '{
    "auth": {
        "login": "aabbccdd1234567890aabbccdd123456",
        "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
        "nonce": "MnFrcmZlYjQ0bXk=",
        "seed": "2025-07-03T20:28:43-05:00"
    },
    "id": "9f5db0db-102a-40f8-a1aa-d7735d9fb50a"
}'

Response

Successful response

  • Name
    status
    Type
    Status
    is optional
    Description

    Structure containing information about a request, indicating its current status.

  • Name
    data
    Type
    object
    is optional
    Description

    Main container for merchant data.


Response

{
    "status": {
        "status": "OK",
        "reason": "00",
        "message": "The request has been successfully processed",
        "date": "2025-07-04T01:58:01+00:00"
    },
    "data": {
        "id": "9f5db0db-102a-40f8-a1aa-d7735d9fb50a",
        "name": "ACME Corp",
        "brand": "ACME Corp BRAND",
        "mcc": "0742",
        "consumer": {
            "id": "0197f9ea-0277-709b-b9cb-d690d0742c57",
            "name": "ACME Corp"
        },
        "address": {
            "street": "Direccion del customer",
            "city": "Medellin",
            "state": "belen",
            "country": "CO",
            "phone": "3111111111",
            "zipCode": "050031"
        },
        "document": {
            "type": "NIT",
            "number": "1234567895"
        },
        "legalRepresentative": {
            "documentType": "CC",
            "document": null,
            "name": "Jane Doe",
            "surname": "Jane Doe",
            "email": "Jane@Doe",
            "phone": "34455"
        },
        "availableFranchises": {
             "master": "ACTIVE",
             "visa": "ACTIVE"
        },
        "websiteURL": "https://acme.com",
        "createdAt": "2025-07-11 15:24:39",
        "updatedAt": "2025-07-11 15:24:39"
    }
}

POST/api/admin/merchants/index

List of merchants

This operation allows you to obtain a list of merchants registered in the administrative system, returning a set of paginated results, with the possibility of applying multiple filters to narrow down the search. It can only be used by authenticated and authorized credentials, in accordance with the access permissions defined by the system.

The system also supports ACL exclusion mechanisms, which means that certain merchants may not appear in the list depending on the access rules configured for the authenticated credential.

Request

  • Name
    auth
    Type
    Authentication
    is Required
    REQUIRED
    Description

    Authentication object. See more at Autentication. Structure containing site authentication information generated according to WSSE UsernameToken Profile 1.1.

  • Name
    filters
    Type
    object
    is optional
    Description

    Container for filtering criteria.

Solicitud

POST
/api/admin/merchants/index
curl -X "POST" https://token-requestor.placetopay.ws/api/admin/merchants/index \
-H "Content-Type: application/json" \
-d '{
    "auth": {
        "login": "aabbccdd1234567890aabbccdd123456",
        "tranKey": "ABC123example456trankey+789abc012def3456ABC=",
        "nonce": "MnFrcmZlYjQ0bXk=",
        "seed": "2025-07-03T20:28:43-05:00"
    },
    "filters": {
        "consumers": ["0197f9ea-0277-709b-b9cb-d690d0742c57"],
        "name": "ACME Corp",
        "brand": "ACME Corp Brand",
        "document": {
            "type": "NIT",
            "number": "1234567895"
        },
        "createdAt": {
            "from": "2025-07-01",
            "to": "2025-07-12"
        }
    },
    "pagination": {
        "perPage": 10,
        "currentPage": 1
    }
}'

Response

Successful response

  • Name
    status
    Type
    Status
    is optional
    Description

    Structure containing information about a request, indicating its current status.

  • Name
    pagination
    Type
    object
    is optional
    Description

    Pagination information for the result set.

  • Name
    data
    Type
    object
    is optional
    Description

    Main container for merchant data.


Response

{
    "status": {
        "status": "OK",
        "reason": "00",
        "message": "The request has been successfully processed",
        "date": "2025-07-04T01:58:01+00:00"
    },
    "pagination": {
        "total": 1,
        "perPage": 10,
        "currentPage": 1,
        "lastPage": 1
    },
    "data": {
        "id": "9f5db0db-102a-40f8-a1aa-d7735d9fb50a",
        "name": "ACME Corp",
        "brand": "ACME Corp BRAND",
        "document": {
            "type": "NIT",
            "number": "1234567895"
        },
        "consumer": {
            "id": "0197f9ea-0277-709b-b9cb-d690d0742c57",
            "name": "ACME Corp"
        },
        "createdAt": "2025-07-11 15:24:39",
        "updatedAt": "2025-07-11 15:24:39"
    }
}